# Interface ICefPreferenceObserver

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefPreferenceObserver = interface(ICefBaseRefCounted)`

## Description

Implemented by the client to observe preference changes and registered via ICefPreferenceManager.AddPreferenceObserver. The functions of this structure will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_observer_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefPreferenceObserver

## Overview

### Methods

| `procedure OnPreferenceChanged(const name : ustring);`

## Description

### Methods

| `procedure OnPreferenceChanged(const name : ustring);`
Called when a preference has changed. The new value can be retrieved using ICefPreferenceManager.GetPreference. ###### Attributes GUID['{874985B5-2DA9-47E6-9E5F-4151BAF5A444}']

Generated by PasDoc 0.16.0-snapshot.